Bug 104840 - Brazil DST is off by 1 week
Brazil DST is off by 1 week
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: tzdata (Show other bugs)
beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
http://www.aebrazil.com/highlights/20...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-22 15:23 EDT by Alexandre Oliva
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version: 2003c-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-25 13:19:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch proposed by Paul Eggert to fix this and other problems (49.67 KB, patch)
2003-09-23 08:14 EDT, Alexandre Oliva
no flags Details | Diff

  None (edit)
Description Alexandre Oliva 2003-09-22 15:23:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
The current timezone file says get DST to begin on Oct 12, but it actually
begins on Oct 19.  Also, the set of states that observe DST is changing again:
DF, ES, GO, MG, MS, PR, RJ, RS, SC, SP

BA, MT and TO are being left out.  

Unfortunately, BA used to use America/Sao_Paulo, that will observe DST. 
America/Salvador should probably be introduced to enable the split.

Also, America/Cuiaba used to be appropriate for both MT and MS, but MS will
observe DST whereas MT won't.  A new timezone name will have to be introduced
for it.

America/Araguaina, that affects TO, will have to be tweaked just enough to
disable DST from now on.



Version-Release number of selected component (if applicable):
tzdata-2003a-2

How reproducible:
Always

Steps to Reproduce:
0.export TZ=America/Sao_Paulo
1.date -d "Oct 18 2003'
2.date -d 'Oct 19 2003'
3.date -d 'Feb 14 2004'
4.date -d 'Feb 15 2004'

Actual Results:  [aoliva@free aoliva]$ date -d "Oct 18 2003"  # wrong!
Sat Oct 18 00:00:00 BRST 2003
[aoliva@free aoliva]$ date -d "Oct 19 2003"
Sun Oct 19 00:00:00 BRST 2003
[aoliva@free aoliva]$ date -d "Feb 14 2004"
Sat Feb 14 00:00:00 BRST 2004
[aoliva@free aoliva]$ date -d "Feb 15 2004"
Sun Feb 15 00:00:00 BRT 2004


Expected Results:  [aoliva@free aoliva]$ date -d "Oct 18 2003"
Sat Oct 18 00:00:00 BRT 2003
[aoliva@free aoliva]$ date -d "Oct 19 2003"
Sun Oct 19 00:00:00 BRST 2003
[aoliva@free aoliva]$ date -d "Feb 14 2004"
Sat Feb 14 00:00:00 BRST 2004
[aoliva@free aoliva]$ date -d "Feb 15 2004"
Sun Feb 15 00:00:00 BRT 2004


Additional info:
Comment 1 Alexandre Oliva 2003-09-23 08:14:23 EDT
Created attachment 94649 [details]
Patch proposed by Paul Eggert to fix this and other problems
Comment 2 Jakub Jelinek 2003-09-25 08:49:41 EDT
Please test tzdata2003c-1.

Note You need to log in before you can comment on or make changes to this bug.